*** a/src/backend/access/transam/xlog.c
--- b/src/backend/access/transam/xlog.c
***************
*** 190,196 **** static TimestampTz recoveryLastXTime = 0;
  /* options taken from recovery.conf for XLOG streaming */
  static bool StandbyMode = false;
  static char *PrimaryConnInfo = NULL;
! char	   *TriggerFile = NULL;
  
  /* if recoveryStopsHere returns true, it saves actual stop xid/time here */
  static TransactionId recoveryStopXid;
--- 190,196 ----
  /* options taken from recovery.conf for XLOG streaming */
  static bool StandbyMode = false;
  static char *PrimaryConnInfo = NULL;
! static char *TriggerFile = NULL;
  
  /* if recoveryStopsHere returns true, it saves actual stop xid/time here */
  static TransactionId recoveryStopXid;
*** a/src/include/access/xlog.h
--- b/src/include/access/xlog.h
***************
*** 258,267 **** typedef struct CheckpointStatsData
  
  extern CheckpointStatsData CheckpointStats;
  
- /* Read from recovery.conf, in startup process */
- extern char *TriggerFile;
- 
- 
  extern XLogRecPtr XLogInsert(RmgrId rmid, uint8 info, XLogRecData *rdata);
  extern void XLogFlush(XLogRecPtr RecPtr);
  extern void XLogBackgroundFlush(void);
--- 258,263 ----
